GNUNET-CONFIG(1)

NAME
gnunet-config - manipulate GNUnet configuration files

SYNOPSIS
gnunet-config [-b BACKEND | --supported-backend=BACKEND] [-c FILENAME | --config=FILENAME] [-f | --filename] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-o OPTION | --option=OPTION] [-S -|-list-sections] [-s SECTION | --section=SECTION] [-V VALUE | --value VALUE] [-v | --version] [-W | --rewrite]

DESCRIPTION
gnunet-config can be used to read or modify GNUnet configuration files.

-b BACKEND | --supported-backend=BACKEND
    Tests whether the specified BACKEND is supported by the current installation. The backend must match the name of a plugin, i.e. "namestore_postgres" for the Postgres database backend of the "NAMESTORE" service. If the BACKEND is supported, gnunet-config will return a status code of 0 (success), otherwise 77 (unsupported). When this option is specified, no other options may be specified. Specifying this option together with other options will cause gnunet-config to return a status code of 1 (error).

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-f | --filename
    Try to perform expansions as if the option values represent filenames (will also be applied even if the option is not really a filename).

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-o OPTION | --option=OPTION
    Which configuration option should be accessed or edited. Required to set a value. If not given, all values of a given section will be printed in the format "OPTION = VALUE".

-S -|-list-sections
    List available configuration sections for use with --section.

-s SECTION | --section=SECTION
    Which configuration section should be accessed or edited. Required option.

-V VALUE | --value VALUE
    Configuration value to store in the given section under the given option. Must only be given together with -s and -o options.

-v | --version
    Print GNUnet version number.

-W | --rewrite
    Consider differences to defaults only.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.